<?php
/**
* Демонстрация работы cCSSMini.php
*/

// тестовая строка
$str = '/* This CSS-file for any sites */

/* comment 1 
    this is comment 1
*/
html, body {
    border: 0px; /* comment 2 */
    margin: 0em;
    padding : 0;
}

/* comment 3 */
h1 {
    font-size:125%;
}

h2 {
/* no content */
}

h3 {
    padding:0px 0px 1em 0em;
}
';

// подключаем библиотеку
require 'canCSSMini.php';

// т. к. функции класса статичные, не нужно создавать экземпляр класса
$buf = canCSSMini::ClearStr($str);

// выводим результат на экран
echo '<pre>
<b>Source code ('.strlen($str).' bytes):</b>
' . htmlspecialchars($str) . '

<b>Processed code ('.strlen($buf).' bytes):</b>
' . htmlspecialchars($buf) . '
</pre>';
?>